<template>
  <q-list dark>
    <q-expansion-item
      v-if="user.validarAcl(acl, false)"
      expand-separator
      group="somegroup"
      :icon="icon"
      :label="name"
    >
      <q-list dark class="bg-blue-grey-9 q-pl-md">
        <template v-for="chil in children" :key="chil.url">
          <q-item
            clickable
            v-ripple
            :to="chil.url"
            v-if="user.validarAcl(chil.acl)"
          >
            <q-item-section avatar>
              <q-icon :name="chil.icon" />
            </q-item-section>
            <q-item-section>{{ chil.name }}</q-item-section>
          </q-item>
        </template>
      </q-list>
    </q-expansion-item>
  </q-list>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { useUserStore } from 'src/stores/user';

/*
interface Item {
  name: string;
  icon: string;
  url: string;
  children: Children[];
}

interface Children {
  name: string;
  url: string;
  icon: string;
}*/

export default defineComponent({
  name: 'EssentialLink',

  props: {
    name: {
      type: String,
      required: true,
    },
    icon: {
      type: String,
      default: '',
    },
    acl: {
      type: String,
      default: '',
    },
    children: {
      type: Array,
      required: true,
    },
  },
  setup() {
    return { user: useUserStore() };
  },
});
</script>
